# Interface IGCEventBus

Internal EventBus interface.

#### Hierarchy

- IGCEventBus

#####
Index

### Methods

dispatch
off
on

## Methods

### dispatch

- dispatch(eventName: BusEventName, ...rest: any[]): any

- Raise event.

  #### Parameters

  - ##### eventName: BusEventName

  - ##### `Rest` ...rest: any[]

  #### Returns any

### off

- off(eventName: BusEventName, listener: Function): any

- Unlisten event.

  #### Parameters

  - ##### eventName: BusEventName

  - ##### listener: Function

  #### Returns any

### on

- on(eventName: BusEventName, listener: Function): any

- Listen event.

  #### Parameters

  - ##### eventName: BusEventName

  - ##### listener: Function

  #### Returns any